{ pkgs
, lib
, config
, ... }: with lib; let
  cfg = config.home.gnome;
in mkIf cfg.enable {
  programs.regreet.enable = false;
  services.xserver.enable = true;
  services.xserver.displayManager.startx.enable = false;
  services.xserver.displayManager.gdm.enable = true;
  services.xserver.desktopManager.gnome.enable = true;

  users.home.persist.directories = [ ];
  environment.persistence."/nix/persist/fhs".directories = [ ];
}
